(cd examples && $(MAKE) $(AM_MAKEFLAGS))
YEAR := $(shell date +%Y)
-submission:
+submission submission-main:
@if [ -n "`ls src/parser/*/generated`" ]; then \
echo 'ERROR:' >&2; \
echo 'ERROR: Please make maintainer-clean first.' >&2; \
echo 'ERROR:' >&2; \
exit 1; \
fi
- if [ ! -e configure ]; then ./autogen.sh; fi
- ./configure competition --disable-shared --enable-static-binary --with-cln
+ ./autogen.sh
+ ./configure competition --disable-shared --enable-static-binary --with-cln --without-cudd
$(MAKE)
strip builds/bin/cvc4
$(MAKE) check
echo 'exec ./cvc4 -L smt2 --no-checking --no-interactive' ) > cvc4-smtcomp-$(YEAR)/run
chmod 755 cvc4-smtcomp-$(YEAR)/run
tar cf cvc4-smtcomp-$(YEAR).tar cvc4-smtcomp-$(YEAR)
- # application track is a separate build too :-(
- make maintainer-clean
- if [ ! -e configure ]; then ./autogen.sh; fi
- ./configure competition --disable-shared --enable-static-binary --with-cln CXXFLAGS=-DCVC4_SMTCOMP_APPLICATION_TRACK CFLAGS=-DCVC4_SMTCOMP_APPLICATION_TRACK
+submission-application:
+ # application track is a separate build because it has different preprocessor #defines
+ @if [ -n "`ls src/parser/*/generated`" ]; then \
+ echo 'ERROR:' >&2; \
+ echo 'ERROR: Please make maintainer-clean first.' >&2; \
+ echo 'ERROR:' >&2; \
+ exit 1; \
+ fi
+ ./autogen.sh
+ ./configure competition --disable-shared --enable-static-binary --with-cln --without-cudd CXXFLAGS=-DCVC4_SMTCOMP_APPLICATION_TRACK CFLAGS=-DCVC4_SMTCOMP_APPLICATION_TRACK
$(MAKE)
strip builds/bin/cvc4
$(MAKE) check
echo 'exec ./cvc4 -L smt2 --no-checking --no-interactive --incremental' ) > cvc4-application-smtcomp-$(YEAR)/run
chmod 755 cvc4-application-smtcomp-$(YEAR)/run
tar cf cvc4-application-smtcomp-$(YEAR).tar cvc4-application-smtcomp-$(YEAR)
+submission-parallel:
# parallel track can't be built with -cln, so it's a separate build
- make maintainer-clean
- if [ ! -e configure ]; then ./autogen.sh; fi
- ./configure competition --disable-shared --enable-static-binary --with-gmp --with-portfolio
+ @if [ -n "`ls src/parser/*/generated`" ]; then \
+ echo 'ERROR:' >&2; \
+ echo 'ERROR: Please make maintainer-clean first.' >&2; \
+ echo 'ERROR:' >&2; \
+ exit 1; \
+ fi
+ ./autogen.sh
+ ./configure competition --disable-shared --enable-static-binary --with-gmp --without-cudd --with-portfolio
$(MAKE)
strip builds/bin/pcvc4
# some test cases fail (and are known to fail)
exit 1
fi
-vs=($(echo "$version" | sed 's,^\([0-9]*\)\.\([0-9]*\)\(\.\([0-9]*\)\)\?\(.*\),\1 \2 \4 \5,'))
+eval "declare -a vs=($(echo "$version" | sed 's,^\([0-9]*\)\.\([0-9]*\)\(\.\([0-9]*\)\)\?\(.*\),[0]=\1 [1]=\2 [2]=\4 [3]=\5,'))"
major=${vs[0]}
-minor=${vs[1]}
-release=${vs[2]-0}
+minor=${vs[1]}; if [ -z "$minor" ]; then minor=0; fi
+release=${vs[2]}; if [ -z "$release" ]; then release=0; fi
extra=${vs[3]}
echo
echo "Major : $major"
if ! $SHELL -c '\
version="'$version'"; \
set -ex; \
- ./autogen.sh; \
+ ./autogen.sh || echo "autoconf failed; does library_versions have something to match $version?"; \
mkdir "release-$version"; \
cd "release-$version"; \
- ../configure production-cln-staticbinary --disable-shared --enable-unit-testing --with-cudd --with-readline; \
+ ../configure production-cln-staticbinary --disable-shared --enable-unit-testing --with-gmp --without-cudd --with-readline --with-portfolio; \
make dist "$@"; \
tar xf "cvc4-$version.tar.gz"; \
cd "cvc4-$version"; \
- ./configure production-cln-staticbinary --disable-shared --enable-unit-testing --with-cudd --with-readline; \
+ ./configure production-cln-staticbinary --disable-shared --enable-unit-testing --with-gmp --without-cudd --with-readline --with-portfolio; \
make check "$@"; \
make distcheck "$@"; \
'; then
gpg -b --armor "cvc4-$version.tar.gz"
echo
-echo "Signing binary..."
+echo "Signing cvc4 binary..."
cp -p "release-$version/src/main/cvc4" "cvc4-$version"
gpg -b --armor "cvc4-$version"
+echo
+echo "Signing pcvc4 binary..."
+cp -p "release-$version/src/main/pcvc4" "pcvc4-$version"
+gpg -b --armor "pcvc4-$version"
+
echo
echo "About to run: svn commit -m \"Cutting release $version.\""
isthatright